package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象自定义指标对象 biz_obj_mc
 *
 * @author jjt
 * @date 2024-10-09
 */
@ApiModel(value = "BizObjMc", description = "业务对象自定义指标")
public class BizObjMc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 明细ID */
    @ApiModelProperty("明细ID")
    @TableId
    private Long mcId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 指标编码 */
    @ApiModelProperty("指标编码")
    @Excel(name = "指标编码")
    private String metricsCode;

    /** 告警-低 */
    @ApiModelProperty("告警-低")
    @Excel(name = "告警-低")
    private String alarmLow;

    /** 告警-中 */
    @ApiModelProperty("告警-中")
    @Excel(name = "告警-中")
    private String alarmMid;

    /** 告警-高 */
    @ApiModelProperty("告警-高")
    @Excel(name = "告警-高")
    private String alarmHigh;

    /** 健康度事件 */
    @ApiModelProperty("健康度事件")
    @Excel(name = "健康度事件")
    private String event;

    /** 数据获取表达式 */
    @ApiModelProperty("数据获取表达式")
    @Excel(name = "数据获取表达式")
    private String dataExp;

    /** 自动发现关键字 */
    @ApiModelProperty("自动发现关键字")
    @Excel(name = "自动发现关键字")
    private String findKey;

    /** 自动发现规则 */
    @ApiModelProperty("自动发现规则")
    @Excel(name = "自动发现规则")
    private String findRule;

    /** 自动发现 */
    @ApiModelProperty("自动发现")
    @Excel(name = "自动发现")
    private String findFlag;

    public void setMcId(Long mcId)
    {
        this.mcId = mcId;
    }

    public Long getMcId()
    {
        return mcId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setMetricsCode(String metricsCode)
    {
        this.metricsCode = metricsCode;
    }

    public String getMetricsCode()
    {
        return metricsCode;
    }
    public void setAlarmLow(String alarmLow)
    {
        this.alarmLow = alarmLow;
    }

    public String getAlarmLow()
    {
        return alarmLow;
    }
    public void setAlarmMid(String alarmMid)
    {
        this.alarmMid = alarmMid;
    }

    public String getAlarmMid()
    {
        return alarmMid;
    }
    public void setAlarmHigh(String alarmHigh)
    {
        this.alarmHigh = alarmHigh;
    }

    public String getAlarmHigh()
    {
        return alarmHigh;
    }
    public void setEvent(String event)
    {
        this.event = event;
    }

    public String getEvent()
    {
        return event;
    }
    public void setDataExp(String dataExp)
    {
        this.dataExp = dataExp;
    }

    public String getDataExp()
    {
        return dataExp;
    }
    public void setFindKey(String findKey)
    {
        this.findKey = findKey;
    }

    public String getFindKey()
    {
        return findKey;
    }
    public void setFindRule(String findRule)
    {
        this.findRule = findRule;
    }

    public String getFindRule()
    {
        return findRule;
    }
    public void setFindFlag(String findFlag)
    {
        this.findFlag = findFlag;
    }

    public String getFindFlag()
    {
        return findFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("mcId", getMcId())
            .append("objId", getObjId())
            .append("metricsId", getMetricsId())
            .append("metricsCode", getMetricsCode())
            .append("alarmLow", getAlarmLow())
            .append("alarmMid", getAlarmMid())
            .append("alarmHigh", getAlarmHigh())
            .append("event", getEvent())
            .append("dataExp", getDataExp())
            .append("findKey", getFindKey())
            .append("findRule", getFindRule())
            .append("findFlag", getFindFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
