package com.jjt.push.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 推送记录对象 push_record
 *
 * @author jjt
 * @date 2024-10-08
 */
@ApiModel(value = "PushRecord", description = "推送记录")
public class PushRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录ID */
    @ApiModelProperty("记录ID")
    @TableId
    private Long prId;

    /** 推送类型 */
    @ApiModelProperty("推送类型")
    @Excel(name = "推送类型")
    private String pushType;

    /** 告警级别 */
    @ApiModelProperty("告警级别")
    @Excel(name = "告警级别")
    private String alarmLevel;

    /** 发送对象 */
    @ApiModelProperty("发送对象")
    @Excel(name = "发送对象")
    private String sendObj;

    /** 发送内容 */
    @ApiModelProperty("发送内容")
    @Excel(name = "发送内容")
    private String sendContent;

    /** 成功状态 */
    @ApiModelProperty("成功状态")
    @Excel(name = "成功状态")
    private String snedSuccess;

    /** 发送时间 */
    @ApiModelProperty("发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    public void setPrId(Long prId)
    {
        this.prId = prId;
    }

    public Long getPrId()
    {
        return prId;
    }
    public void setPushType(String pushType)
    {
        this.pushType = pushType;
    }

    public String getPushType()
    {
        return pushType;
    }
    public void setAlarmLevel(String alarmLevel)
    {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmLevel()
    {
        return alarmLevel;
    }
    public void setSendObj(String sendObj)
    {
        this.sendObj = sendObj;
    }

    public String getSendObj()
    {
        return sendObj;
    }
    public void setSendContent(String sendContent)
    {
        this.sendContent = sendContent;
    }

    public String getSendContent()
    {
        return sendContent;
    }
    public void setSnedSuccess(String snedSuccess)
    {
        this.snedSuccess = snedSuccess;
    }

    public String getSnedSuccess()
    {
        return snedSuccess;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prId", getPrId())
            .append("pushType", getPushType())
            .append("alarmLevel", getAlarmLevel())
            .append("sendObj", getSendObj())
            .append("sendContent", getSendContent())
            .append("snedSuccess", getSnedSuccess())
            .append("sendTime", getSendTime())
            .append("remark", getRemark())
            .toString();
    }
}
